Subject: bug#9936: closed (Re: bug#9936: kill-line problem)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 04 Nov 2011 00:59:02 +0000

Your bug report

#9936: kill-line problem

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9936: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9936
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9936: kill-line problem
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Thu, 03 Nov 2011 20:55:59 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 22.1

>> emacs -nw -q --no-site-file
>>
>> (setq ss (concat (make-string 10 ?X) "," ))
>>
>>
>> (put-text-property 0 10 'invisible t ss)
>>
>>
>> (insert ss ss ss "\n" ss ss ss "\n" ss ss ss "\n" ss ss ss "\n" )
>>
>>
>> (setq kill-whole-line t)
>
> I can reproduce this bug in Emacs 21, but it appears to be fixed in
> Emacs 22 and later. (The problem was in forward-visible-line.)

Yes, I also see it in 21.4, but not in 22.1 or 23.3, so I'm closing
this as fixed in 22.1.

Thanks for the bug recipe. You are encouraged to upgrade to a more
recent Emacs! :)

Subject: kill-line problem
From: Andrew Kurn <[email-masked]>
To: [email-masked]
Date: Tue, 1 Nov 2011 13:46:42 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm getting a problem using kill-line in a buffer with much invisible text.
Instead of killing one line, it kills on and on til the end of the buffer.

Version is 21.2.1.
kill-whole-line = t
emacs -nw   (I have found other bugs persisting in this less popular use
      	    of emacs.)

I know you will ask me to reproduce the bug in the latest version of
emacs, but I don't want to get side-tracked right now, and I figure
that a preliminary bug-report is better than none at all.

Has anyone seen this one before?  Worked on it?

Thanks and keep up the good work.
Andrew